| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
bms_hardware.h File Reference

Go to the source code of this file.

## Functions
void | cs_low (uint8_t pin)
| LTC681x hardware library. More...
void | cs_high (uint8_t pin)
void | delay_u (uint16_t micro)
void | delay_m (uint16_t milli)
void | set_spi_freq ()
void | spi_write_array (uint8_t len, uint8_t data[])
| Writes an array of bytes out of the SPI port. More...
void | spi_write_read (uint8_t tx_Data[], uint8_t tx_len, uint8_t *rx_data, uint8_t rx_len)
| Writes and read a set number of bytes using the SPI port. More...
uint8_t | spi_read_byte (uint8_t tx_dat)

## Function Documentation

## ◆ cs_high()

void cs_high | ( | uint8_t | pin | ) |

Definition at line 55 of file bms_hardware.cpp.

## ◆ cs_low()

void cs_low | ( | uint8_t | pin | ) |

LTC681x hardware library.

      This library contains all of the hardware dependant functions used by the bms
      code

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Copyright 2017 Linear Technology Corp. (LTC)

LTC681x hardware library.

      This library contains all of the hardware dependant functions used by the bms
      code

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Copyright 2017 Linear Technology Corp. (LTC)

Definition at line 50 of file bms_hardware.cpp.

## ◆ delay_m()

void delay_m | ( | uint16_t | milli | ) |

Definition at line 65 of file bms_hardware.cpp.

## ◆ delay_u()

void delay_u | ( | uint16_t | micro | ) |

Definition at line 60 of file bms_hardware.cpp.

## ◆ set_spi_freq()

void set_spi_freq | ( |  | ) |

## ◆ spi_read_byte()

uint8_t spi_read_byte | ( | uint8_t | tx_dat | ) |

Definition at line 108 of file bms_hardware.cpp.

## ◆ spi_write_array()

void spi_write_array | ( | uint8_t | len,
|  | uint8_t | data[]
| ) |  |

Writes an array of bytes out of the SPI port.

Parameters

  [in] | uint8_t | len length of the data array being written on the SPI port
  [in] | uint8_t | data[] the data array to be written on the SPI port

Definition at line 349 of file LTC68031.cpp.

## ◆ spi_write_read()

void spi_write_read | ( | uint8_t | tx_Data[],
|  | uint8_t | tx_len,
|  | uint8_t * | rx_data,
|  | uint8_t | rx_len
| ) |  |

Writes and read a set number of bytes using the SPI port.

Parameters

  [in] | uint8_t | tx_data[] array of data to be written on the SPI port
  [in] | uint8_t | tx_len length of the tx_data array
  [out] | uint8_t | rx_data array that read data will be written too.
  [in] | uint8_t | rx_len number of bytes to be read from the SPI port.

Definition at line 361 of file LTC68031.cpp.